//General Plugin Script
  
function PluginCaption: string;
begin
  Result := 'GGV generator';
end;

function PluginHint: string;
begin
  Result := 'GGV generator';
end;

function PluginIcon: string;
begin
  Result := '';
end;

function PluginFlags: string;
begin
  Result := 'nowork';
end;

procedure PluginStart;
var
  l: tstringlist;
  lv: tstringlist;
  dir: string;
  n: integer;
  x: integer;
  s: string;
  sd: string;
begin
  l := tstringlist.create;
  lv := tstringlist.create;
  try
    dir := Selectdir(geoget_datadir, 'Select directory with BMP files:');
    if dir <> '' then
    begin
      filelist(dir, l);
      lv.add('case value of');
      for n := 0 to l.count - 1 do
      begin
        s := separateright(lowercase(l[n]), lowercase(dir))
        x := pos('.bmp', s);
        if x > 0 then
        begin
          s := copy(s, 1, x - 1);
          sd := filetostring(l[n]);
          sd := encodebase64(sd);
          lv.add('  ''' + s + ''': begin geoget_visdata := decodebase64(''' + sd + '''); end;');
        end;
      end;
      lv.add('end;');
      lv.savetofile(geoget_datadir + '\ggvgen.txt');
    end;
  finally
    lv.free;
    l.free;
  end;
end;
